Bullet Collision Detection & Physics Library: btRigidBodyFloatData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btRigidBodyFloatData Struct Reference

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...

`#include <btRigidBody.h>`

Collaboration diagram for btRigidBodyFloatData:
[legend]

## Public Attributes
btCollisionObjectFloatData | m_collisionObjectData
btMatrix3x3FloatData | m_invInertiaTensorWorld
btVector3FloatData | m_linearVelocity
btVector3FloatData | m_angularVelocity
btVector3FloatData | m_angularFactor
btVector3FloatData | m_linearFactor
btVector3FloatData | m_gravity
btVector3FloatData | m_gravity_acceleration
btVector3FloatData | m_invInertiaLocal
btVector3FloatData | m_totalForce
btVector3FloatData | m_totalTorque
float | m_inverseMass
float | m_linearDamping
float | m_angularDamping
float | m_additionalDampingFactor
float | m_additionalLinearDampingThresholdSqr
float | m_additionalAngularDampingThresholdSqr
float | m_additionalAngularDampingFactor
float | m_linearSleepingThreshold
float | m_angularSleepingThreshold
int | m_additionalDamping

## Detailed Description

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 635 of file btRigidBody.h.

## Member Data Documentation

## ◆ m_additionalAngularDampingFactor

float btRigidBodyFloatData::m_additionalAngularDampingFactor

Definition at line 654 of file btRigidBody.h.

## ◆ m_additionalAngularDampingThresholdSqr

float btRigidBodyFloatData::m_additionalAngularDampingThresholdSqr

Definition at line 653 of file btRigidBody.h.

## ◆ m_additionalDamping

int btRigidBodyFloatData::m_additionalDamping

Definition at line 657 of file btRigidBody.h.

## ◆ m_additionalDampingFactor

float btRigidBodyFloatData::m_additionalDampingFactor

Definition at line 651 of file btRigidBody.h.

## ◆ m_additionalLinearDampingThresholdSqr

float btRigidBodyFloatData::m_additionalLinearDampingThresholdSqr

Definition at line 652 of file btRigidBody.h.

## ◆ m_angularDamping

float btRigidBodyFloatData::m_angularDamping

Definition at line 650 of file btRigidBody.h.

## ◆ m_angularFactor

btVector3FloatData btRigidBodyFloatData::m_angularFactor

Definition at line 641 of file btRigidBody.h.

## ◆ m_angularSleepingThreshold

float btRigidBodyFloatData::m_angularSleepingThreshold

Definition at line 656 of file btRigidBody.h.

## ◆ m_angularVelocity

btVector3FloatData btRigidBodyFloatData::m_angularVelocity

Definition at line 640 of file btRigidBody.h.

## ◆ m_collisionObjectData

btCollisionObjectFloatData btRigidBodyFloatData::m_collisionObjectData

Definition at line 637 of file btRigidBody.h.

## ◆ m_gravity

btVector3FloatData btRigidBodyFloatData::m_gravity

Definition at line 643 of file btRigidBody.h.

## ◆ m_gravity_acceleration

btVector3FloatData btRigidBodyFloatData::m_gravity_acceleration

Definition at line 644 of file btRigidBody.h.

## ◆ m_inverseMass

float btRigidBodyFloatData::m_inverseMass

Definition at line 648 of file btRigidBody.h.

## ◆ m_invInertiaLocal

btVector3FloatData btRigidBodyFloatData::m_invInertiaLocal

Definition at line 645 of file btRigidBody.h.

## ◆ m_invInertiaTensorWorld

btMatrix3x3FloatData btRigidBodyFloatData::m_invInertiaTensorWorld

Definition at line 638 of file btRigidBody.h.

## ◆ m_linearDamping

float btRigidBodyFloatData::m_linearDamping

Definition at line 649 of file btRigidBody.h.

## ◆ m_linearFactor

btVector3FloatData btRigidBodyFloatData::m_linearFactor

Definition at line 642 of file btRigidBody.h.

## ◆ m_linearSleepingThreshold

float btRigidBodyFloatData::m_linearSleepingThreshold

Definition at line 655 of file btRigidBody.h.

## ◆ m_linearVelocity

btVector3FloatData btRigidBodyFloatData::m_linearVelocity

Definition at line 639 of file btRigidBody.h.

## ◆ m_totalForce

btVector3FloatData btRigidBodyFloatData::m_totalForce

Definition at line 646 of file btRigidBody.h.

## ◆ m_totalTorque

btVector3FloatData btRigidBodyFloatData::m_totalTorque

Definition at line 647 of file btRigidBody.h.

The documentation for this struct was generated from the following file:

- btRigidBody.h